# Test for leptokurtosis: H_0 mesokurtosis vs H_1: leptokurtsis

leptokurtosis.test <- function(X){

  n              <- length(X)
  excess.kurt    <- e1071::kurtosis(X) # excess kurtosis (with unbiased sd)
  sd.excess.kurt <- sqrt(24/n)

  T <- excess.kurt/sd.excess.kurt

  pvalue <- 1 - pt(T, df = (n-1))

  return(pvalue)

}

